<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('salesman_has_images', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->foreignId('salesman_id')->constrained('salesmans')->onDelete('cascade');
            $table->string('image_name')->nullable();
            $table->string('creted_by')->nullable();
            $table->string('updated_by')->nullable();
            $table->string('code')->nullable();

        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('salesman_has_images');
    }
};
